Ubuntu 16.04 - Upgrade Kernel

Ubuntu 16.04.2 came out recently, and if you're still running the 4.4 kernel and want to upgrade to 4.8, then all you need to do is run the following command: sudo apt-get install --install-recommends \ xserver-xorg-hwe-16.04 -y References Ubuntu Wiki - LTSEnablementStack…

Read this article

Amazon Linux - Check If Need Reboot

Below is a BASH script you can use to tell you whether you need to reboot your instance in order to use a later kernel. #!/bin/bash LAST_KERNEL=$(rpm -q --last kernel | perl -pe 's/^kernel-(\S+).*/$1/' | head -1); CURRENT_KERNEL=$(uname -r); if [ $LAST_KERNEL != $CURRENT_…

Read this article

CentOS 7 - Remove Old Kernels

If your /boot partition is getting filled, you may wish to automatically remove old kernels. I find the best way to do this is to install the yum utilities package and then use a command to delete all but 2 kernels (just in case there is a problem with the…

Read this article

Ubuntu - Cleaning up /boot

If you have run out of space in /boot and running the command below doesn't appear to be helping: sudo apt-get autoremove Then you may need to manually remove some of the old kernels. Steps Find out the kernel you are running right now: uname -r Make note of this…

Read this article

Ubuntu - Manually Remove Old Kernels

For some reason, sudo apt-get autoremove often does not remove a lot of the old kernels. One will need to manually remove them if you are running out of space on your /boot partition. Simply run sudo apt-get purge linux-image-x.x.x.x-generic Replace x.x.x.x with something…

Read this article

Ubuntu 14.04 Upgrade Kernel

Server sudo apt-get install --install-recommends -y \ linux-generic-lts-xenial Desktop sudo apt-get install --install-recommends -y \ linux-generic-lts-xenial xserver-xorg-core-lts-xenial \ xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial \ xserver-xorg-input-all-lts-xenial libwayland-egl1-mesa-lts-xenial Multi-Arch Desktop sudo apt-get install --install-recommends -y \ linux-generic-lts-xenial xserver-xorg-core-lts-xenial \ xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial \ xserver-xorg-input-all-lts-xenial \ libwayland-egl1-mesa-lts-xenial libgl1-mesa-glx-lts-xenial \ libgl1-mesa-glx-lts-xenial:i386 libglapi-mesa-lts-xenial:i386 References Ubuntu Docs - LTSEnablementStack Ask Ubuntu - Can't Upgrade Ubuntu Enablement Stack…

Read this article